# 一、ssh相关问题
## 1.ssh超时问题
**故障现象：**
sshd服务重启超时，查询端口无远程端口，远程连接正常
![](/uploads/wenbo/images/m_5ecaed93e8d483cb66fc8fdafbe739e3_r.png)
sshd.service: start operation timed out. Terminating
**解决方法：**
`mv /lib/systemd/system/sshd.service /lib/systemd/system/sshd.service.bak`
openssh-8.4p1是你最开始tar解压的目录,而不是安装后的目录
`cp openssh-8.4p1/contrib/redhat/sshd.init /etc/init.d/sshd`
对于还在运行的sshd服务
`systemctl stop sshd`
重新加载
`systemctl daemon-reload`
启动sshd服务
`systemctl start sshd`
无报错，服务正常